Warning: Parameter 2 to SyndicationDataQueries::posts_search() expected to be a reference, value given in F:\labs.itpro.es\wp-includes\class-wp-hook.php on line 286

Warning: Parameter 2 to SyndicationDataQueries::posts_where() expected to be a reference, value given in F:\labs.itpro.es\wp-includes\class-wp-hook.php on line 286

Warning: Parameter 2 to SyndicationDataQueries::posts_fields() expected to be a reference, value given in F:\labs.itpro.es\wp-includes\class-wp-hook.php on line 286

Warning: Parameter 2 to SyndicationDataQueries::posts_request() expected to be a reference, value given in F:\labs.itpro.es\wp-includes\class-wp-hook.php on line 286
Algunas versiones de Segway pueden ser hackeadas - ITPro.es

Algunas versiones de Segway pueden ser hackeadas

¿Quién no ha visto o disfrutado alguna vez de uno de estos transportadores personales? Segway es un divertido vehículo ligero giroscópico eléctrico de dos ruedas, con un sistema de autobalanceo controlado por ordenador.

Desde el lanzamiento de la primera versión de Segway, a finales de 2001, la empresa Segway Inc. ha ido incluyendo numerosas mejoras en cada modelo nuevo que ponían a la venta, pero la inteligencia y avance tecnológico aplicado ha llegado a provocar en un determinado modelo una serie de vulnerabilidades muy críticas.

Segway Ninebot miniPRO es el modelo afectado por estas vulnerabilidades que abre las puertas a ciberataques, permitiendo a un hacker hacerse con el control total del vehículo de manera remota, tal y como detallan los investigadores IOActive, descubridores de las vulnerabilidades.

El Segway Ninebot miniPRO cuenta con una aplicación llamada Ninebot para smartphone, que permite aplicar una serie de configuraciones del vehículo, como personalizar las luces LED, modificar los ajustes de seguridad, revisar estadísticas de rendimiento y velocidad, establecer protección antirrobo e incluso controlar remotamente el vehículo.

Thomas Kilbride es uno de los expertos en cibersegurtidad de IOActive, y asegura que sólo se necesitan 20 segundos para hackear el Segway y hacerse con el control del vehículo remotamente. Estas son las vulnerabilidades críticas:

  • Comunicación insegura: Toda comunicación entre aplicaciones y dispositivos deben pasar por un canal cifrado, no obstante, la comunicación que hay entre la aplicación y el Segway no está cifrada. Esta vulnerabilidad permite a un atacante remoto realizar un ataque Man-in-the-middle y la inyección de instrucciones maliciosas.
  • Aplicación alternativa: Es posible utiliza aplicaciones no autorizadas, de modo que abre la posibilidad de saltarse el código PIN de seguridad del Segway utilizando una compilación de Nordic UART a medida, y así podría conectarse al vehículo por Bluetooth sin el requerimiento de ningún tipo de clave.
  • Suplantación de firmware: No existe ningún mecanismo de verificación de la integridad del software. Esto supone que un hacker podría enviar una actualización personalizada y maliciosa al Segway, y éste la instalaría sin problemas.
  • Privacidad en la ubicación: La aplicación oficial de Ninebot cuenta con la característica social llamada “Piloto Cercano”, dotada de rankings y otras funciones que hacen uso de la ubicación tomada por GPS. Esta función permite al usuario encontrar a otras personas que puedan estar utilizando un Segway Ninebot en tiempo real, de modo que facilitaría a ladrones la ubicación del mismo.

Este vídeo elaborado por IOActive, muestra como con un firmware personalizado pueden manipular el funcionamiento del Segway y provocar accidentes remotamente:

Como buena práctica de hacking ético, Thomas Kilbride tras el descubrimiento de las vulnerabilidades, elaboró un detallado informe acompañado de vídeos que compartió con el fabricante de manera privada. Gracias a este rápido e minucioso reporte, el fabricante Segway parcheó las vulnerabilidades a finales de abril y autorizó a IOActive la publicación de su descubrimiento.

Si tienes un Segway Ninebot miniPRO, es muy importante que comprobar si tienes tu vehículo actualizado con la versión de firmware más reciente, en caso de Ninebot te ofrezca actualizaciones disponibles, instálalas cuanto antes para solucionar el problema.


Warning: Parameter 2 to SyndicationDataQueries::posts_search() expected to be a reference, value given in F:\labs.itpro.es\wp-includes\class-wp-hook.php on line 286

Warning: Parameter 2 to SyndicationDataQueries::posts_where() expected to be a reference, value given in F:\labs.itpro.es\wp-includes\class-wp-hook.php on line 286

Warning: Parameter 2 to SyndicationDataQueries::posts_fields() expected to be a reference, value given in F:\labs.itpro.es\wp-includes\class-wp-hook.php on line 286

Warning: Parameter 2 to SyndicationDataQueries::posts_request() expected to be a reference, value given in F:\labs.itpro.es\wp-includes\class-wp-hook.php on line 286

También te podría gustar...